#include <hidef.h>
#include "derivative.h" 

void main(void) { 
  
  PTCDD=0x0C; //nastaveni pinu LED diod 1 a 2 jako vystupnich
  PTCD=0x0C;  //zhasnuti LED diod 1 a 2
  
  PTAPE=0xC0; //připojení pull-up rezistorů k tlačítkům 1 a 2  
  
 
  //nastavení hodnoty modula registrů časovače TPM1
  TPM1MODL=0xF9; 
  TPM1MODH=0x15; 
  //----------------------------   

  for(;;) {
   
   
   if(PTAD_PTAD6==0){ //test tlačítka 1 
   
   TPM1SC=0x0F; //zapnutí časovače TPM1
   while(TPM1SC_TOF==0){__RESET_WATCHDOG();} //dokud nedojde k přetečení časovače
   TPM1SC=0x00; //vypnutí časovače TPM1
   
   PTCD_PTCD2=!PTCD_PTCD2; //negace stavu LED diody 1
   }
              
   if(PTAD_PTAD7==0){ //test tlačítka 2
   PTCD_PTCD3=!PTCD_PTCD3; //negace stavu LED diody 2
   }
    
    __RESET_WATCHDOG(); 
  } 
  
}
